Skip to main content
`Ctrl`+`K`

# ISStrideSetStride

Sets the stride information for a stride index set.

## Synopsis

    #include "petscis.h"
    PetscErrorCode ISStrideSetStride(IS is, PetscInt n, PetscInt first, PetscInt step)

Logically Collective

## Input Parameters

- is - the index set

- n - the length of the locally owned portion of the index set

- first - the first element of the locally owned portion of the index set

- step - the change to the next index

## Note

`ISCreateStride()` can be used to create an `ISSTRIDE` and set its stride in one function call

## See Also

Low-level Vector Communication, `IS`, `ISCreateGeneral()`, `ISCreateBlock()`, `ISAllGather()`, `ISSTRIDE`, `ISCreateStride()`, `ISStrideGetInfo()`

## Level

beginner

## Location

src/vec/is/is/impls/stride/stride.c

## Implementations

ISStrideSetStride_Stride() in src/vec/is/is/impls/stride/stride.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages